Bug 242962 - pycups assertion failure
Summary: pycups assertion failure
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer   
(Show other bugs)
Version: 7
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: F7Update
TreeView+ depends on / blocked
 
Reported: 2007-06-06 17:52 UTC by Tim Waugh
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 0.7.63.2-2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-13 21:05:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Waugh 2007-06-06 17:52:13 UTC
Description of problem:
python: Objects/dictobject.c:603: PyDict_SetItem: Assertion `value' failed.

This is coming from inside pycups.

Version-Release number of selected component (if applicable):
system-config-printer-0.7.63.1-1.fc7

How reproducible:
100%

Steps to Reproduce:
1.Set up a queue for an HP LaserJet 6MP with the gutenprint en_GB native driver.
2.Click on the queue.
  
Actual results:
Assertion failure.

Comment 1 Tim Waugh 2007-06-07 09:48:04 UTC
Fixed in CVS.

Comment 2 Fedora Update System 2007-06-07 15:56:46 UTC
system-config-printer-0.7.63.2-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Tim Waugh 2007-06-08 08:40:05 UTC
Fix verified.

Comment 4 Fedora Update System 2007-06-11 22:03:48 UTC
system-config-printer-0.7.63.2-2.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2007-06-13 21:04:51 UTC
system-config-printer-0.7.63.2-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.